For the complete documentation index, see llms.txt. This page is also available as Markdown.

Claimed quests lookup

Overview

Those two endpoints allow you to retrieve claimed quests.

The Review object


id - String

ID of the claimed quest


user - Object

Object containing the id, name, and avatar url of the user


quest - Object

Object containing id and name of the quest


status - Enum (success, fail, pending)

Status of the review


mark - Enum (star, flag)

This field defines if the review has been marked as a star or if the review has been flagged. It can be null if none of the actions have been performed.


tasks - Array of object

Contains the list of tasks the user completed, with the submissions if any. To know more about tasks, check our product docs.


updatedAt - String

ISO timestamp that indicates the last date at which the claimed quest was updated


createdAt - String

ISO timestamp that indicates the date at which the quest was claimed


The Task object

Common properties

The following properties are set in all task types


type - String

ID of the task


type - Enum

The possible values are: api, text, discord, url, telegram, quiz, invites, visitLink, file, date, number, poll, opinion, twitterFollow, twitterSpace, tweetReact, tweet, tiktok.


Status - Enum (error, success, in-review)

Status of the task


createdAt - String

ISO timestamp that indicates the date at which the task was completed


Exclusive properties

The following properties are only set in one or multiples task types.


value - String or Number

Value submitted by the user when completing the task. This property is set for the following task types: tiktok, opinion, number, date, url, text.


values - Array of String

Values submitted by the user when completing the task. Can hold one or multiple values. This property is set for the following task types: quiz, poll.


fileUrls - Array of String

This properties contains the URLs of the files a user submitted. This property is set for the task type file.


tweetId - String

This property contains the ID of the tweet the user submitted. This property is set for the task type tweet.


API Reference

Get a review

get
Path parameters
idstring · uuidRequired
subdomainstringRequired
Header parameters
x-api-keystringRequired
Responses
200

200

application/json
idstring · uuidRequired
statusstring · enumRequiredPossible values:
markstring · enum · nullableRequiredPossible values:
lastReviewerIdstring · uuid · nullableRequired
createdAtstringRequired
updatedAtstringRequired
autoValidatedbooleanRequired
get/public/communities/{subdomain}/reviews/{id}

List reviews for a community

get
Path parameters
subdomainstringRequired
Query parameters
limitinteger · max: 102OptionalDefault: 50
cursorstring · nullableOptionalPattern: ^(\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3,6}Z)_([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
questIdstring · uuidOptional
userIdstring · uuidOptional
reviewerIdstring · uuidOptional
statusstring · enumOptionalPossible values:
Header parameters
x-api-keystringRequired
Responses
200

200

application/json
nextCursorstring · nullableRequired
get/public/communities/{subdomain}/reviews

Last updated

Was this helpful?